	SUBROUTINE DSPCVT (ISPACG,CONST,V,V1)
C
C	   Routine to converrt d values to their original forms
C	   (eg. 1/d**2, theta, and sin(theta) )
C	   V=d values, V1 is theta or 2-theta or sin (theta) or
C	   1/d**2
C
C	   By: Winnie Wong-ng     Date: 1984 at NBS
C
C
	CHARACTER ISPACG*1

	DEGRAD = 57.295779
	IF(ISPACG .EQ. 'Q') GO TO 1610
	IF(ISPACG .EQ. 'D') GO TO 1660
	STHETA = CONST/V
	IF(ISPACG .EQ. 'S') THEN
	   V1 = STHETA*STHETA
	   GO TO 1660
	ENDIF
	IF(ABS(STHETA) .GT. 1.0) THEN
	   V1 = 0.0
	ELSE
	   THETA = ASIN(STHETA)
	   V1 = DEGRAD*THETA
	   IF(ISPACG .EQ. '2') V1 = 2.0*V1
	ENDIF
	GO TO 1660
1610	V1 = 1.0/(V*V)
1660	RETURN
	END
